
Redmine - Defect #17527

Notes are not shown (and not saved) on issues

2014-07-22 11:11 - Anthony HERBÉ

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

After migrating our Redmine instance from 1.3.3 to 2.5.2 version, we can't add notes on issues. When a authenticated user try to add

note(s) on issue, when he update the issue, no error are shown (nor in log) and the notes aren't shown on history panel.

In our MySQL database, the changesets table is not populate correctly.

These are our install Redmine information :

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.4

  Mercurial                      1.4

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  projects_tree_view             0.0.7

  redirect_to_after_login        0.0.2

  redmine_activerecord_session_store 0.0.1

  redmine_advanced_issues        0.0.5

  redmine_banner                 0.0.9

  redmine_improved_searchbox     0.0.3

  redmine_inline_attach_screenshot 0.4.6

  redmine_ldap_sync              2.0.3.devel.g507a5c00e1-dirty

  redmine_monitoring_controlling 0.1.1

  redmine_mylyn_connector        2.8.2.stable

  redmine_track_control          1.0.8

History

#1 - 2014-07-22 12:50 - Anthony HERBÉ

When we call REST Service API to add notes, it works.

But with HTML form not.

#2 - 2014-07-22 14:10 - Anthony HERBÉ

Notes are well stored in table "journals".

We continue to looking for causes.

#3 - 2014-07-22 18:05 - Anthony HERBÉ

- Status changed from New to Resolved

Cause of problem is plugin redmine_advanced_issues from branch master from repo https://github.com/spike008t/redmine_advanced_issues/

Problem solve with same plugin, same branch and different repo : https://github.com/wyplay/redmine_advanced_issues/
#4 - 2014-07-22 22:57 - Etienne Massip

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Thanks for feedback.
